RDKit: RDKit::MolDraw2D_detail::DrawAnnotation Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::MolDraw2D_detail::DrawAnnotation Class Reference

`#include <DrawAnnotation.h>`

## Public Member Functions
| ~DrawAnnotation ()=default
| DrawAnnotation (const std::string &note, const TextAlignType &align, const std::string &cls, double relFontScale, const Point2D &pos, const DrawColour &colour, DrawText &textDrawer)
| DrawAnnotation (const DrawAnnotation &)=delete
| DrawAnnotation (DrawAnnotation &&)=delete
DrawAnnotation & | operator= (const DrawAnnotation &)=delete
DrawAnnotation & | operator= (DrawAnnotation &&)=delete
void | findExtremes (double &xmin, double &xmax, double &ymin, double &ymax, double padding=0.0) const
void | getDimensions (double &width, double &height) const
void | extractRects ()
void | draw (MolDraw2D &molDrawer) const
void | drawRects (MolDraw2D &molDrawer) const
void | scale (const Point2D &scaleFactor)
void | move (const Point2D &trans)
bool | doesRectClash (const StringRect &rect, double padding) const

## Public Attributes
std::string | text_
TextAlignType | align_
std::string | class_
double | fontScale_
DrawText & | textDrawer_
Point2D | pos_ = Point2D(0.0, 0.0)
DrawColour | colour_ = DrawColour(0.0, 0.0, 0.0, 0.0)
std::vector< std::shared_ptr< StringRect > > | rects_

## Detailed Description

Definition at line 29 of file DrawAnnotation.h.

## Constructor & Destructor Documentation

## ◆ ~DrawAnnotation()

RDKit::MolDraw2D_detail::DrawAnnotation::~DrawAnnotation | ( |  | ) |
| default

## ◆ DrawAnnotation() [1/3]

RDKit::MolDraw2D_detail::DrawAnnotation::DrawAnnotation | ( | const std::string & | note,
|  | const TextAlignType & | align,
|  | const std::string & | cls,
|  | double | relFontScale,
|  | const Point2D & | pos,
|  | const DrawColour & | colour,
|  | DrawText & | textDrawer )

Referenced by DrawAnnotation(), DrawAnnotation(), operator=(), and operator=().

## ◆ DrawAnnotation() [2/3]

RDKit::MolDraw2D_detail::DrawAnnotation::DrawAnnotation | ( | const DrawAnnotation & |  | ) |
| delete

References DrawAnnotation().

## ◆ DrawAnnotation() [3/3]

RDKit::MolDraw2D_detail::DrawAnnotation::DrawAnnotation | ( | DrawAnnotation && |  | ) |
| delete

References DrawAnnotation().

## Member Function Documentation

## ◆ doesRectClash()

bool RDKit::MolDraw2D_detail::DrawAnnotation::doesRectClash | ( | const StringRect & | rect,
|  | double | padding ) const

## ◆ draw()

void RDKit::MolDraw2D_detail::DrawAnnotation::draw | ( | MolDraw2D & | molDrawer | ) | const

## ◆ drawRects()

void RDKit::MolDraw2D_detail::DrawAnnotation::drawRects | ( | MolDraw2D & | molDrawer | ) | const

## ◆ extractRects()

void RDKit::MolDraw2D_detail::DrawAnnotation::extractRects | ( |  | ) |

## ◆ findExtremes()

void RDKit::MolDraw2D_detail::DrawAnnotation::findExtremes | ( | double & | xmin,
|  | double & | xmax,
|  | double & | ymin,
|  | double & | ymax,
|  | double | padding = 0.0 ) const

## ◆ getDimensions()

void RDKit::MolDraw2D_detail::DrawAnnotation::getDimensions | ( | double & | width,
|  | double & | height ) const

## ◆ move()

void RDKit::MolDraw2D_detail::DrawAnnotation::move | ( | const Point2D & | trans | ) |

## ◆ operator=() [1/2]

DrawAnnotation & RDKit::MolDraw2D_detail::DrawAnnotation::operator= | ( | const DrawAnnotation & |  | ) |
| delete

References DrawAnnotation().

## ◆ operator=() [2/2]

DrawAnnotation & RDKit::MolDraw2D_detail::DrawAnnotation::operator= | ( | DrawAnnotation && |  | ) |
| delete

References DrawAnnotation().

## ◆ scale()

void RDKit::MolDraw2D_detail::DrawAnnotation::scale | ( | const Point2D & | scaleFactor | ) |

## Member Data Documentation

## ◆ align_

TextAlignType RDKit::MolDraw2D_detail::DrawAnnotation::align_

Definition at line 55 of file DrawAnnotation.h.

## ◆ class_

std::string RDKit::MolDraw2D_detail::DrawAnnotation::class_

Definition at line 56 of file DrawAnnotation.h.

## ◆ colour_

DrawColour RDKit::MolDraw2D_detail::DrawAnnotation::colour_ = DrawColour(0.0, 0.0, 0.0, 0.0)

Definition at line 60 of file DrawAnnotation.h.

## ◆ fontScale_

double RDKit::MolDraw2D_detail::DrawAnnotation::fontScale_

Definition at line 57 of file DrawAnnotation.h.

## ◆ pos_

Point2D RDKit::MolDraw2D_detail::DrawAnnotation::pos_ = Point2D(0.0, 0.0)

Definition at line 59 of file DrawAnnotation.h.

## ◆ rects_

std::vector<std::shared_ptr<StringRect> > RDKit::MolDraw2D_detail::DrawAnnotation::rects_

Definition at line 61 of file DrawAnnotation.h.

## ◆ text_

std::string RDKit::MolDraw2D_detail::DrawAnnotation::text_

Definition at line 54 of file DrawAnnotation.h.

## ◆ textDrawer_

DrawText& RDKit::MolDraw2D_detail::DrawAnnotation::textDrawer_

Definition at line 58 of file DrawAnnotation.h.

The documentation for this class was generated from the following file:

- DrawAnnotation.h